/*
  Copyright (C) 2001 Kimmo Pekkola

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
/*
  $Header: //rainbox/cvsroot/Rainmeter/Plugin/MeasureNetIn.h,v 1.3 2001/09/01 13:00:10 rainy Exp $

  $Log: MeasureNetIn.h,v $
  Revision 1.3  2001/09/01 13:00:10  rainy
  Slight changes in the interface. The value is now measured only once if possible.

  Revision 1.2  2001/08/12 15:44:49  Rainy
  Adjusted Update()'s interface.
  Net throughput is now measured in bytes per second and not bits.

  Revision 1.1.1.1  2001/08/11 10:58:19  Rainy
  Added to CVS.

*/

#ifndef __METERNET_H__
#define __METERNET_H__

#include "MeasureNet.h"

class CMeasureNetIn : public CMeasureNet
{
public:
	CMeasureNetIn();
	virtual ~CMeasureNetIn();

	virtual bool Update(CMeterWindow& meterWindow, int counter);
	virtual void ReadConfig(const char* filename, const char* section);
	virtual UINT GetMeasuredValue() { return c_Value; };
	virtual int GetCounter() { return c_Counter; };

private:
	static UINT c_Value;
	static int c_Counter;
};

#endif
