/*
  Copyright (C) 2001 Kimmo Pekkola

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
/*
  $Header: //rainbox/cvsroot/Rainmeter/Plugin/Meter.h,v 1.3 2001/08/19 09:13:25 rainy Exp $

  $Log: Meter.h,v $
  Revision 1.3  2001/08/19 09:13:25  rainy
  Invert moved to the measures.

  Revision 1.2  2001/08/12 15:41:41  Rainy
  Adjusted Update()'s interface.
  Added invert measure.

  Revision 1.1.1.1  2001/08/11 10:58:19  Rainy
  Added to CVS.

*/

#ifndef __METER_H__
#define __METER_H__

class CMeterWindow;
class CMeasure;

class CMeter
{
public:
	CMeter();
	virtual ~CMeter();

	virtual void ReadConfig(const char* filename, const char* section);
	virtual void Initialize(CMeterWindow& meterWindow) = 0;
	virtual void Update(CMeterWindow& meterWindow, int counter);

	int GetH() { return m_H; };
	int GetW() { return m_W; };
	int GetX() { return m_X; };
	int GetY() { return m_Y; };

protected:
	CMeasure* CreateMeasure(const char* measure);

	CMeasure* m_Measure;
	int	m_X;
	int	m_Y;
	int	m_W;
	int	m_H;
};

#endif
